# Trait os::fs::File

source · [−]

    pub trait File: Send + Sync {
        fn readable(&self) -> bool;
        fn writable(&self) -> bool;
        fn read(&self, buf: UserBuffer) -> usize;
        fn write(&self, buf: UserBuffer) -> usize;
    }

## Required methods

source

#### fn readable(&self) -> bool

source

#### fn writable(&self) -> bool

source

#### fn read(&self, buf: UserBuffer) -> usize

source

#### fn write(&self, buf: UserBuffer) -> usize

## Implementors

source

### impl File for OSInode

source

### impl File for Stdin

source

### impl File for Stdout